Child pages
  • rsMap3D Installation Instructions

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Installation instructions have been prepared for Linux, OSX and Windows.  These installation instructions assume the use of a  commercial distribution/packaging of Python called Anaconda.  This was used since the APS has invested in increasing the knowledge base with the use of a single python distribution.  We are currently using Anaconda Version 2.5.0.  This provides a number of installed packages.  There are a number of known package dependencies which are available for installation through the Canopy Package Managerconda installer (included with anaconda).  These include:

numpy 1.10.4  Already installed in Canopy 1.4.0 for all tested platforms

PyQt 4.11.4 Needs to be installed through Canopy Package Manager on some platforms (see platform instructions)

vtk 6.3.0 Needs to be installed through Canopy Package Manager on some platforms. (see platform instructions)

pytables 3.2.2 Needs to be installed through Canopy Package Manager on some platforms. (see platform instructions)

The following packages are available through the Canopy Package manager but are typically older distributions.  It is recommended to manually install these from source following instructions in the platform specific install instructions.

...